Subject: Re: bug#47264: RFE: pcre2 support

From: Paul Eggert <[email-masked]>
Date: Mon, 5 Apr 2021 09:58:39 -0700

On 4/5/21 1:31 AM, Jeffrey Walton wrote:
> I could not find a good document explaining the conversion process
> from PCRE to PCRE2. I finally gave up after about 4 hours because I
> lacked the necessary PCRE experience.

I had a similar experience years ago.

Part of my worry was that PCRE is squirrelly about dealing with 
improperly-coded data - it has undefined behavior in that case, which is 
unacceptable for 'grep'. So one must be verrrry careful in doing any API 
conversion. I didn't have the time, at the time. Still don't.